var SetMetaData = {
    buildComponent: function() {
        var $container = document.createElement('div');
        var $label = document.createElement('label');
        $label.textContent = 'MyMetadata: ';
        var $input = document.createElement('input');
        this.$input = $input;
        $input.addEventListener('change', function() {
            // When the value change, we tell the system about the new value.
            // The value will be stored locally, but not saved until the 'Save' button is pressed.
            this.setModelProperty('MetaData/:demo/MyMetadata', $input.value);
        }.bind(this));

        $container.appendChild($label);
        $container.appendChild($input);
        return $container;
    },

    update: function() {
        // Whenever the current object change, the input is updated with the MetaData value
        // for the current object.
        this.$input.value = this.getModelProperty('MetaData/:demo/MyMetadata') || '';
    }
};