var APICall = {
    buildComponent: function() {
        var $component = document.createElement('h1');
        this.$component = $component;

        return $component;
    },

    update: function() {
        ES.ESAPIContext.callAPIService({
            id: 1,
            method: 'job.get',
            params: {
                ID: this.getModelProperty('ID'),
            }
        }, function(response) {
            var creationDate = new Date(response.result.creationDate);
            if (typeof response.result === 'object') {
                this.$component.textContent = `Job ${response.result.ID}. Created on ${creationDate.toLocaleString('en')} by ${response.result.creationUser}`;
            } else {
                this.$component.textContent = 'An error occured...';
            }
        }, this);
    }
};